<?php

  class mw_upgrade_index extends mw_controller{

    function validate(){
      $env = $this->env();
      $env->load_webmaster_session();
      return true;
    }

    function index(){
      $env = $this->env();
      $data = $env->data();
      $env->set_out("data_version", $data->version("mtweb"));
      $env->set_out("env_version", $env->version("mtweb"));
      $env->set_out("data_upgrades", $env->data_upgrades());
    }

    function confirm_upgrade(){
      $env = $this->env();
      if(!($user = $env->user())){
        $env->redirect($env->url("upgrade"), "", 0);
        return;
      }
      if(!($webmaster_user = $env->get_webmaster_user())){
        $env->erreur("impossible de lire le user webmaster");
        return;
      }
      if(
            ($user["login"] != $webmaster_user["login"])
        ||  ($user["password"] != $webmaster_user["password"])
      ){
        $env->erreur("identification incorrecte");
        return;
      }
      if(($res = $env->do_data_upgrade()) !== true){
        $env->erreur("Erreur durant l'upgrade: ".$res);
        return;
      }
      $env->redirect(
        $env->url(),
        "La base a été mise à jour"
      );
    }

  }
